"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.details = details;
const request_1 = require("../common/request");
/**
 * Export campaigns details.
 *
 * Use this endpoint to retrieve relevant information on a specified campaign, which can be identified by the `campaign_id`.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/campaigns/get_campaign_details}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function details(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/campaigns/details?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=details.js.map