"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.update = update;
const request_1 = require("../../../common/request");
/**
 * Update scheduled API-triggered campaigns.
 *
 * Use this endpoint to update scheduled API-triggered campaigns, which are created on the dashboard and initiated via the API.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/post_update_scheduled_triggered_campaigns/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function update(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/campaigns/trigger/schedule/update`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=update.js.map