"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = send;
const request_1 = require("../../common/request");
/**
 * Sending campaign messages via API-triggered delivery.
 *
 * The send endpoint allows you to send immediate, ad-hoc messages to designated users.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/send_messages/post_send_triggered_campaigns/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function send(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/campaigns/trigger/send`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=send.js.map