"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.list = list;
const request_1 = require("../common/request");
/**
 * Export canvas list.
 *
 * Use this endpoint to export a list of canvases, each of which will include its name, canvas API identifier, whether it is an API canvas, and tags associated with the canvas.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/canvas/get_canvases/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function list(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/canvas/list?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=list.js.map