"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._delete = _delete;
const request_1 = require("../../../common/request");
/**
 * Delete scheduled API-triggered canvases.
 *
 * The delete schedule endpoint allows you to cancel a message that you previously scheduled API-triggered Canvases before it has been sent.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/post_delete_scheduled_triggered_canvases/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function _delete(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/canvas/trigger/schedule/delete`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=delete.js.map