"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.blacklist = blacklist;
const request_1 = require("../common/request");
/**
 * Blacklist emails.
 *
 * Use this endpoint to unsubscribe a user from email and mark them as hard bounced.
 *
 * {@link https://www.braze.com/docs/api/endpoints/email/post_blacklist/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function blacklist(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/email/blacklist`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=blacklist.js.map