import type { EmailSpamRemoveObject } from './types';
/**
 * Remove email addresses from spam list.
 *
 * Use this endpoint to remove email addresses from your Braze spam list.
 *
 * {@link https://www.braze.com/docs/api/endpoints/email/post_remove_spam/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
export declare function remove(apiUrl: string, apiKey: string, body: EmailSpamRemoveObject): Promise<import("../../common/request").ServerResponse>;
//# sourceMappingURL=remove.d.ts.map