"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = create;
const request_1 = require("../../common/request");
/**
 * Create scheduled messages.
 *
 * Use this endpoint to send messages directly from the API.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/post_schedule_messages/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function create(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/messages/schedule/create`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=create.js.map