import type { SegmentsAnalyticsParameters, SegmentsAnalyticsResponse } from './types';
/**
 * Get segments analytics.
 *
 * Use this endpoint to get analytics on a segment, which includes the size of the segment for each of the requested number of days.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/segments/get_segment_analytics/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
export declare function analytics(apiUrl: string, apiKey: string, parameters: SegmentsAnalyticsParameters): Promise<SegmentsAnalyticsResponse>;
//# sourceMappingURL=analytics.d.ts.map