"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = create;
const request_1 = require("../../common/request");
/**
 * Create send IDs for message send tracking.
 *
 * Braze’s Send Identifier adds the ability to send messages and track message performance entirely programmatically, without campaign creation for each send.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/send_messages/post_create_send_ids/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function create(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/sends/id/create`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=create.js.map