import type { SubscriptionStatusGetObject } from './types';
/**
 * Get users’ subscription group status.
 *
 * Use these endpoints to get the subscription state of a user in a subscription group.
 *
 * {@link https://www.braze.com/docs/api/endpoints/subscription_groups/get_list_user_subscription_group_status/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
export declare function get(apiUrl: string, apiKey: string, body: SubscriptionStatusGetObject): Promise<{
    status: Record<string, "Subscribed" | "Unsubscribed" | "Unknown">;
    message: "success" | string;
}>;
//# sourceMappingURL=get.d.ts.map