import type { SubscriptionUserStatusObject } from './types';
import { SubscriptionUserStatusResponse } from './types';
/**
 * Get users’ subscription groups.
 *
 * Use these endpoints to list and get the subscription groups of a certain user.
 *
 * {@link https://www.braze.com/docs/api/endpoints/subscription_groups/get_list_user_subscription_groups/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
export declare function status(apiUrl: string, apiKey: string, body: SubscriptionUserStatusObject): Promise<SubscriptionUserStatusResponse>;
//# sourceMappingURL=status.d.ts.map