"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.status = status;
const request_1 = require("../../common/request");
/**
 * Get users’ subscription groups.
 *
 * Use these endpoints to list and get the subscription groups of a certain user.
 *
 * {@link https://www.braze.com/docs/api/endpoints/subscription_groups/get_list_user_subscription_groups/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function status(apiUrl, apiKey, body) {
    return (0, request_1.get)(`${apiUrl}/subscription/user/status?${(0, request_1.buildParams)(body)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=status.js.map