"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = send;
const request_1 = require("../../../common/request");
/**
 * Sending transactional email via API-triggered delivery.
 *
 * The Send Transactional Email endpoint allows you to send immediate, ad-hoc messages to a designated user. This endpoint is used alongside the creation of a Transactional Email campaign and corresponding campaign ID.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/send_messages/post_send_transactional_message/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param campaignId - Campaign ID.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function send(apiUrl, apiKey, campaignId, body) {
    return (0, request_1.post)(`${apiUrl}/transactional/v1/campaigns/${campaignId}/send`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=send.js.map