"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._new = _new;
const request_1 = require("../../common/request");
/**
 * Create new user alias.
 *
 * Use this endpoint to add new user aliases for existing identified users, or to create new unidentified users.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/post_user_alias/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function _new(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/alias/new`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=new.js.map