"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._update = _update;
const request_1 = require("../../common/request");
/**
 * Update user alias.
 *
 * Use this endpoint to add update user aliases for existing identified users.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/post_user_alias/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Alias update request {@link UserAliasUpdates}.
 * @returns - Braze response.
 */
function _update(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/alias/update`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=update.js.map