"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ids = ids;
const request_1 = require("../../common/request");
/**
 * Users by identifier endpoint.
 *
 * This endpoint allows you to export data from any user profile by specifying a form of user identifier.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/user_data/post_users_identifier/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function ids(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/export/ids`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=ids.js.map