"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = remove;
const request_1 = require("../../common/request");
/**
 * External ID remove.
 *
 * For security purposes, this feature is disabled by default. To enable this feature, reach out to your Success Manager.
 *
 * Use this endpoint to remove your users’ old deprecated external IDs. This endpoint completely removes the deprecated ID and cannot be undone.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/external_id_migration/post_external_ids_remove/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function remove(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/external_ids/remove`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=remove.js.map