"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.identify = identify;
const request_1 = require("../common/request");
/**
 * Identify users.
 *
 * Use this endpoint to identify an unidentified (alias-only) user.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/post_user_identify/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function identify(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/identify`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=identify.js.map