"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.merge = merge;
const request_1 = require("../common/request");
/**
 * Merge users.
 *
 * Use this endpoint to merge one user into another user.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/post_users_merge/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function merge(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/merge`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=merge.js.map