"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.list = list;
const request_1 = require("../common/request");
/**
 * Export campaigns list.
 *
 * Use this endpoint to export a list of campaigns, each of which will include its name, campaign API identifier, whether it is an API campaign, and tags associated with the campaign.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/campaigns/get_campaigns/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function list(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/campaigns/list?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=list.js.map