"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.create = create;
const request_1 = require("../../../common/request");
/**
 * Schedule API-triggered canvases.
 *
 * Use this endpoint to trigger API-Triggered Canvases, which are created on the dashboard and initiated via the API.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/post_schedule_triggered_canvases/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function create(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/canvas/trigger/schedule/create`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=create.js.map