"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = send;
const request_1 = require("../../common/request");
/**
 * Sending Canvas messages via API-triggered delivery.
 *
 * This endpoint allows you to send Canvas messages via API-Triggered delivery, allowing you to decide what action should trigger the message to be sent.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/send_messages/post_send_triggered_canvases/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function send(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/canvas/trigger/send`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=send.js.map