import type { RequestInit } from 'node-fetch';
export declare enum RequestMethod {
    POST = "POST"
}
/**
 * {@link https://www.braze.com/docs/api/errors/#server-responses}
 */
export interface ServerResponse {
    message: string;
    errors?: string[];
}
export declare class ResponseError extends Error {
    status: number;
    errors?: ServerResponse['errors'];
    constructor(message: string, status: number, errors?: ServerResponse['errors']);
}
export type RequestURL = string;
export type RequestBody = Record<string, any>;
export type RequestOptions = RequestInit;
/**
 * Makes a request.
 *
 * @param url - Request endpoint.
 * @param body - Request body.
 * @param options - Request options.
 * @returns - Response.
 */
export declare function request<Response extends ServerResponse>(url: RequestURL, body?: RequestBody, options?: RequestOptions): Promise<Response>;
//# sourceMappingURL=request.d.ts.map