"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = remove;
const request_1 = require("../../common/request");
/**
 * Remove hard bounces.
 *
 * Use this endpoint to remove email addresses from your Braze bounce list.
 *
 * {@link https://www.braze.com/docs/api/endpoints/email/post_remove_hard_bounces/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function remove(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/email/bounce/remove`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=remove.js.map