"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.update = update;
const request_1 = require("../../common/request");
/**
 * Update scheduled messages.
 *
 * The messages update schedule endpoint accepts updates to either the `schedule` or `messages` parameter or both.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/post_update_scheduled_messages/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function update(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/messages/schedule/update`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=update.js.map