"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scheduled_broadcasts = scheduled_broadcasts;
const request_1 = require("../common/request");
/**
 * Get upcoming scheduled campaigns and Canvases.
 *
 * The endpoint will return information about scheduled campaigns and entry Canvases between now and the designated `end_time` specified in the request.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/schedule_messages/get_messages_scheduled/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function scheduled_broadcasts(apiUrl, apiKey, body) {
    return (0, request_1.get)(`${apiUrl}/messages/scheduled_broadcasts?${(0, request_1.buildParams)(body)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=scheduled_broadcasts.js.map