"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.send = send;
const request_1 = require("../common/request");
/**
 * Sending messages immediately via API only.
 *
 * This endpoint allows you send your messages using our API. Be sure to include Messaging Objects in your body to complete your requests.
 *
 * {@link https://www.braze.com/docs/api/endpoints/messaging/send_messages/post_send_messages/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function send(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/messages/send`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=send.js.map