"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.analytics = analytics;
const request_1 = require("../common/request");
/**
 * Get segments analytics.
 *
 * Use this endpoint to get analytics on a segment, which includes the size of the segment for each of the requested number of days.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/segments/get_segment_analytics/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function analytics(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/segments/data_series?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=analytics.js.map