"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.details = details;
const request_1 = require("../common/request");
/**
 * Get segments list.
 *
 * Use this endpoint to get details on a segment, including its name, descriptions, created/updated times, tags and teams.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/segments/get_segment_details/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function details(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/segments/details?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=details.js.map