"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.list = list;
const request_1 = require("../common/request");
/**
 * Get segments list.
 *
 * Use this endpoint to export a list of segments, each of which will include its name, segment API identifier, whether it has analytics tracking enabled, and tags associated with the segment.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/segments/get_segment/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param parameters - Request parameters.
 * @returns - Braze response.
 */
function list(apiUrl, apiKey, parameters) {
    return (0, request_1.get)(`${apiUrl}/segments/list?${(0, request_1.buildParams)(parameters)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=list.js.map