"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = get;
const request_1 = require("../../common/request");
/**
 * Get users’ subscription group status.
 *
 * Use these endpoints to get the subscription state of a user in a subscription group.
 *
 * {@link https://www.braze.com/docs/api/endpoints/subscription_groups/get_list_user_subscription_group_status/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function get(apiUrl, apiKey, body) {
    return (0, request_1.get)(`${apiUrl}/subscription/status/get?${(0, request_1.buildParams)(body)}`, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=get.js.map