"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.set = set;
const request_1 = require("../../common/request");
/**
 * Update user’s subscription group status.
 *
 * Use these endpoints to batch update the subscription state of up to 50 users on the Braze dashboard.
 *
 * {@link https://www.braze.com/docs/api/endpoints/subscription_groups/post_update_user_subscription_group_status/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function set(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/subscription/status/set`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=set.js.map