"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._delete = _delete;
const request_1 = require("../common/request");
/**
 * User delete endpoint.
 *
 * This endpoint allows you to delete any user profile by specifying a known user identifier.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/post_user_delete/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function _delete(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/delete`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=delete.js.map