"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.global_control_group = global_control_group;
const request_1 = require("../../common/request");
/**
 * Users by Global Control Group.
 *
 * This endpoint allows you to export all the users within the Global Control Group.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/user_data/post_users_global_control_group/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function global_control_group(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/export/global_control_group`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=global_control_group.js.map