"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.segment = segment;
const request_1 = require("../../common/request");
/**
 * Users by segment endpoint.
 *
 * This endpoint allows you to export all the users within a segment.
 *
 * {@link https://www.braze.com/docs/api/endpoints/export/user_data/post_users_segment/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function segment(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/export/segment`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=segment.js.map