import type { UsersExternalIdsRemoveObject } from './types';
/**
 * External ID remove.
 *
 * For security purposes, this feature is disabled by default. To enable this feature, reach out to your Success Manager.
 *
 * Use this endpoint to remove your users’ old deprecated external IDs. This endpoint completely removes the deprecated ID and cannot be undone.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/external_id_migration/post_external_ids_remove/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
export declare function remove(apiUrl: string, apiKey: string, body: UsersExternalIdsRemoveObject): Promise<{
    message: string;
    removed_ids: string[];
    removal_errors: string[];
}>;
//# sourceMappingURL=remove.d.ts.map