"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rename = rename;
const request_1 = require("../../common/request");
/**
 * External ID rename.
 *
 * Use this endpoint to “rename” your users’ external IDs. This endpoint sets a new (primary) `external_id` for the user and deprecates their existing `external_id`.
 *
 * {@link https://www.braze.com/docs/api/endpoints/user_data/external_id_migration/post_external_ids_rename/}
 *
 * @param apiUrl - Braze REST endpoint.
 * @param apiKey - Braze API key.
 * @param body - Request parameters.
 * @returns - Braze response.
 */
function rename(apiUrl, apiKey, body) {
    return (0, request_1.post)(`${apiUrl}/users/external_ids/rename`, body, (0, request_1.buildOptions)({ apiKey }));
}
//# sourceMappingURL=rename.js.map